@ECHO OFF
CLS

SET CURRENT=%~dp0
CALL "%CURRENT%_config.cmd"



ECHO DOSbox prerequisites folder: %DosBoxBuildPath%\Prerequisites
ECHO.

ECHO Downloading with wget tool version:
ECHO ================================================================
"%WGET%" --version
ECHO ================================================================
ECHO.

PUSHD "%DosBoxBuildPath%\Prerequisites\DirectX9"
ECHO DirectX9 revision Feb 2010
"%WGET%" "--output-file=%CURRENT%download.log" -nc https://download.microsoft.com/download/F/1/7/F178BCE4-FA19-428F-BB60-F3DEE1130BFA/DXSDK_Feb10.exe
ECHO DirectX9 revision Jun 2010
"%WGET%" "--append-output=%CURRENT%download.log" -nc https://download.microsoft.com/download/A/E/7/AE743F1F-632B-4809-87A9-AA1BB3458E31/DXSDK_Jun10.exe
ECHO DirectX legacy version
echo ...
POPD

PUSHD "%DosBoxBuildPath%\Prerequisites\zlib"
ECHO zlib
"%WGET%" "--append-output=%CURRENT%download.log" -nc "https://zlib.net/zlib1211.zip"
"%WGET%" "--append-output=%CURRENT%download.log" -nc "https://zlib.net/zlib1211.zip.asc"
POPD

PUSHD "%DosBoxBuildPath%\Prerequisites\libpng"
ECHO libPNG
"%WGET%" "--append-output=%CURRENT%download.log" -nc "http://prdownloads.sourceforge.net/libpng/lpng1634.zip?download"
POPD

PUSHD "%DosBoxBuildPath%\Prerequisites\libogg"
ECHO libOGG
"%WGET%" "--append-output=%CURRENT%download.log" -nc "https://ftp.osuosl.org/pub/xiph/releases/ogg/libogg-1.3.3.zip"
POPD

PUSHD "%DosBoxBuildPath%\Prerequisites\libvorbis"
ECHO libVorbis
"%WGET%" "--append-output=%CURRENT%download.log" -nc "https://ftp.osuosl.org/pub/xiph/releases/vorbis/libvorbis-1.3.6.zip"
"%WGET%" "--append-output=%CURRENT%download.log" -nc "https://ftp.osuosl.org/pub/xiph/releases/vorbis/libvorbis-1.3.6.zip.gpg"
POPD

PUSHD "%DosBoxBuildPath%\Prerequisites\flac"
ECHO FLAC
"%WGET%" "--append-output=%CURRENT%download.log" -nc "https://ftp.osuosl.org/pub/xiph/releases/flac/flac-1.3.2-win.zip"
POPD

PUSHD "%DosBoxBuildPath%\Prerequisites\SDL1"
ECHO Simple Directmedia Library (v1) (Base,Mixer,Net,Image,TTF,RTF)
"%WGET%" "--append-output=%CURRENT%download.log" -nc "http://www.libsdl.org/release/SDL-1.2.15.zip"
"%WGET%" "--append-output=%CURRENT%download.log" -nc "http://www.libsdl.org/projects/SDL_mixer/release/SDL_mixer-1.2.12.zip"
"%WGET%" "--append-output=%CURRENT%download.log" -nc "http://www.libsdl.org/projects/SDL_net/release/SDL_net-1.2.8.zip"
"%WGET%" "--append-output=%CURRENT%download.log" -nc "http://www.libsdl.org/projects/SDL_image/release/SDL_image-1.2.12.zip"
"%WGET%" "--append-output=%CURRENT%download.log" -nc "http://www.libsdl.org/projects/SDL_ttf/release/SDL_ttf-2.0.11.zip"
"%WGET%" "--append-output=%CURRENT%download.log" -nc "http://www.libsdl.org/projects/SDL_rtf/release/SDL_rtf-0.1.0.tar.gz"
POPD

PUSHD "%DosBoxBuildPath%\Prerequisites\SDL2"
ECHO Simple Directmedia Library (v2) (Base,Mixer,Net,Image,TTF)
"%WGET%" "--append-output=%CURRENT%download.log" -nc "http://www.libsdl.org/release/SDL2-2.0.8.zip"
"%WGET%" "--append-output=%CURRENT%download.log" -nc "http://www.libsdl.org/projects/SDL_mixer/release/SDL2_mixer-2.0.2.zip"
"%WGET%" "--append-output=%CURRENT%download.log" -nc "http://www.libsdl.org/projects/SDL_net/release/SDL2_net-2.0.1.zip"
"%WGET%" "--append-output=%CURRENT%download.log" -nc "http://www.libsdl.org/projects/SDL_image/release/SDL2_image-2.0.3.zip"
"%WGET%" "--append-output=%CURRENT%download.log" -nc "http://www.libsdl.org/projects/SDL_ttf/release/SDL2_ttf-2.0.14.zip"
POPD



PAUSE